# Accept an agreement

`POST /agreements/:agreementId/accept`

{% hint style="info" %}

* User action signature required. See [User Action Signing](https://docs-legacy.dfns.co/d/api-docs/authentication/user-action-signing) for more information.
* Request headers required. See [Request Headers](https://github.com/dfns/dfns-api-docs/blob/m/advanced-topics/authentication/request-headers/README.md) for more information.
* Authentication required. See [Authentication Headers](https://github.com/dfns/dfns-api-docs/blob/m/advanced-topics/authentication/request-headers/README.md#authentication-headers) for more information.
  {% endhint %}

### Permissions Required

* `Agreements:Acceptance:Create`

### Path Parameters

| Path parameter                                  | Description                                                 |
| ----------------------------------------------- | ----------------------------------------------------------- |
| `agreementId`<mark style="color:red;">\*</mark> | The agreement ID that is being accepted by the organization |

## Response

```json
{
    "agreementId": "88adc4fb-2e98-4679-9a10-cb1b8d44c1ac",
    "userId": "us-48r5q-eshfg-9pmr2lo6bmpr4i4i",
    "dateAccepted": "2025-09-11T13:47:43.191Z"
}
```
